package com.lutao.cas;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 用户表
 * </p>
 *

 * @since 2017-10-29
 */
@Data
public class SysUser implements Serializable{

	private static final long serialVersionUID = 5235741195876842939L;


    private Integer userId;

	/**
	 * 用户名
	 */
    private String username;

	/**
	 * 密码
	 */
    private String password;

	/**
	 * 随机盐
	 */
    @JsonIgnore
    private String salt;

	/**
	 * 创建时间
	 */
    private LocalDateTime createTime;

	/**
	 * 修改时间
	 */
    private LocalDateTime updateTime;

	/**
	 * 0-正常，1-删除
	 */

    private String delFlag;

	/**
	 * 锁定标记
	 */
    private String lockFlag;

	/**
	 * 手机号
	 */
    private String phone;

	/**
	 * 头像
	 */
    private String avatar;

	/**
	 * 部门ID
	 */
    private Integer deptId;

	/**
	 * 租户ID
	 */
    private Integer tenantId;

	/**
	 * 微信openid
	 */
    private String wxOpenid;

	/**
	 * 微信小程序openId
	 */
    private String miniOpenid;

	/**
	 * QQ openid
	 */
    private String qqOpenid;

	/**
	 * 码云唯一标识
	 */
    private String giteeLogin;

	/**
	 * 开源中国唯一标识
	 */
    private String oscId;

	/**
	 * 用户来源
	 */
	private Integer userFrom;

	/**
	 * 公司
	 */
	private Integer companyId;

	/**
	 * 昵称/真实姓名
	 */
	private String nickname;

	/**
	 * 邮箱
	 */
	private String email;



}
